#if !defined(AFX_DLGPREVIEW_H__B4BDF305_4707_4475_89B9_CC58899838C1__INCLUDED_)
#define AFX_DLGPREVIEW_H__B4BDF305_4707_4475_89B9_CC58899838C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPreview.h : header file
//

#include "AxViewer.h"
#include "ConnectionInfo.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgPreview dialog

class CDlgPreview : public CDialog
{
// Construction
public:
	CDlgPreview(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgPreview)
	enum { IDD = IDD_DLG_PREVIEW };
    
	CStatic	m_stAxViewer;
	CButton	m_video_startstop;
	CButton	m_video_mpeg4mjpeg;
	CButton	m_audio_mic_startstop;
	CButton	m_audio_spk_startstop;
	CButton	m_snapshot;
	CButton	m_record_startstop;
	CAxViewer	*m_ViewerPreview;
	CConnectionInfo m_ConnectInfo;
    
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgPreview)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgPreview)
	virtual BOOL OnInitDialog();
	afx_msg void OnVideo1Startstop();
	afx_msg void OnVideo1Mpeg4mjpeg();
	afx_msg void OnAudio1MicStartstop();
	afx_msg void OnAudio1SpkStartstop();
	afx_msg void OnRecord1Startstop();
	afx_msg void OnBtnWide();
	afx_msg void OnBtnTele();
	afx_msg void OnBtnLup();
	afx_msg void OnBtnU();
	afx_msg void OnBtnRup();
	afx_msg void OnBtnLeft();
	afx_msg void OnBtnCenter();
	afx_msg void OnBtnRight();
	afx_msg void OnBtnLdown();
	afx_msg void OnBtnDown();
	afx_msg void OnBtnRdown();
	afx_msg void OnBtnSnapshot();
	afx_msg void OnBtnPtzLup();
	afx_msg void OnBtnPtzU();
	afx_msg void OnBtnPtzRup();
	afx_msg void OnBtnPtzLeft();
	afx_msg void OnBtnPtzCenter();
	afx_msg void OnBtnPtzRight();
	afx_msg void OnBtnPtzLdown();
	afx_msg void OnBtnPtzDown();
	afx_msg void OnBtnPtzRdown();
	afx_msg void OnBtnPtzZoomOut();
	afx_msg void OnBtnPtzZoomIn();
	afx_msg void OnBtnPtzFocusFar();
	afx_msg void OnBtnPtzFocusNear();
	afx_msg void OnBtnFullscreen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void SetStartViewer(CAxViewer **m_Viewer, int ch, 
                              CButton *button_video_startstop, 
                              CButton *button_video_mpeg4mjpeg,
                              CButton *button_audio_mic_startstop,
                              CButton *button_audio_spk_startstop,
                              CButton *button_snapshot,
                              CButton *button_record_startstop);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGPREVIEW_H__B4BDF305_4707_4475_89B9_CC58899838C1__INCLUDED_)
